summarylogtreecommitdiffstats
path: root/netease-cloud-music-unblock-enhanced
diff options
context:
space:
mode:
authorbilabila2021-09-27 20:50:13 +0800
committerbilabila2021-09-27 20:50:17 +0800
commit81de16e3f3dadf1be7d3c38c0f4b70eb61bbc2b4 (patch)
tree79c020bd2964028a77c2c18d2460f35b8631e12c /netease-cloud-music-unblock-enhanced
downloadaur-81de16e3f3dadf1be7d3c38c0f4b70eb61bbc2b4.tar.gz
init
Diffstat (limited to 'netease-cloud-music-unblock-enhanced')
-rwxr-xr-xnetease-cloud-music-unblock-enhanced10
1 files changed, 10 insertions, 0 deletions
diff --git a/netease-cloud-music-unblock-enhanced b/netease-cloud-music-unblock-enhanced
new file mode 100755
index 000000000000..b713acf9301f
--- /dev/null
+++ b/netease-cloud-music-unblock-enhanced
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+trap 'kill $(jobs -p)' SIGINT SIGTERM EXIT
+name=netease-cloud-music-unblock-enhanced
+cd /usr/share/$name
+certutil -d sql:$HOME/.pki/nssdb -D -n $name
+certutil -d sql:$HOME/.pki/nssdb -A -i './ca.crt' -n $name -t C,,
+port=($(comm -23 <(seq 49152 65535 | sort) <(ss -Htan | awk '{print $4}' | cut -d':' -f2 | sort -u) | shuf | head -n 2))
+node ./app.js -p ${port[0]}:${port[1]} "$@" &
+export all_proxy=http://127.0.0.1:${port[0]}
+netease-cloud-music